Package org.jboss.resteasy.spi.metadata

## Class DefaultResourceClass

- java.lang.Object
- - org.jboss.resteasy.spi.metadata.DefaultResourceClass

- All Implemented Interfaces:
    `ResourceClass`

      public class DefaultResourceClass
      extends Object
      implements ResourceClass

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Class<?>` | `clazz` |
    `protected ResourceConstructor` | `constructor` |
    `protected FieldParameter[]` | `fields` |
    `protected String` | `path` |
    `protected ResourceLocator[]` | `resourceLocators` |
    `protected ResourceMethod[]` | `resourceMethods` |
    `protected SetterParameter[]` | `setters` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultResourceClass​(Class<?> clazz, String path)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Class<?>` | `getClazz()` |
    `ResourceConstructor` | `getConstructor()` |
    `FieldParameter[]` | `getFields()` |
    `String` | `getPath()` |
    `ResourceLocator[]` | `getResourceLocators()` |
    `ResourceMethod[]` | `getResourceMethods()` |
    `SetterParameter[]` | `getSetters()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clazz

          protected Class<?> clazz

    - #### fields

          protected FieldParameter[] fields

    - #### setters

          protected SetterParameter[] setters

    - #### resourceMethods

          protected ResourceMethod[] resourceMethods

    - #### resourceLocators

          protected ResourceLocator[] resourceLocators

    - #### constructor

          protected ResourceConstructor constructor

    - #### path

          protected String path

  - ### Constructor Detail

    - #### DefaultResourceClass

          public DefaultResourceClass​(Class<?> clazz,
                                      String path)

  - ### Method Detail

    - #### getPath

          public String getPath()

      Specified by:
        `getPath` in interface `ResourceClass`

    - #### getClazz

          public Class<?> getClazz()

      Specified by:
        `getClazz` in interface `ResourceClass`

    - #### getConstructor

          public ResourceConstructor getConstructor()

      Specified by:
        `getConstructor` in interface `ResourceClass`

    - #### getFields

          public FieldParameter[] getFields()

      Specified by:
        `getFields` in interface `ResourceClass`

    - #### getSetters

          public SetterParameter[] getSetters()

      Specified by:
        `getSetters` in interface `ResourceClass`

    - #### getResourceMethods

          public ResourceMethod[] getResourceMethods()

      Specified by:
        `getResourceMethods` in interface `ResourceClass`

    - #### getResourceLocators

          public ResourceLocator[] getResourceLocators()

      Specified by:
        `getResourceLocators` in interface `ResourceClass`